TopValueSource (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.TopValueSource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class TopValueSource

    java.lang.Object
      org.apache.solr.search.function.ValueSource
          org.apache.solr.search.function.TopValueSource

All Implemented Interfaces:
  Serializable

    public class TopValueSource

extends ValueSource

A value source that wraps another and ensures that the top level reader is used. This is useful for value sources like ord() who's value depend on all those around it.

See Also:
  Serialized Form

Constructor Summary
`TopValueSource(ValueSource vs)`

Method Summary
`String` | `description()` description of field, used in explain()
`boolean` | `equals(Object o)`
`DocValues` | `getValues(Map context, IndexReader reader)` Gets the values for this reader and the context that was previously passed to createWeight()
`ValueSource` | `getValueSource()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.apache.solr.search.function.ValueSource
`createWeight, getSortField, getValues, newContext`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TopValueSource

    public TopValueSource(ValueSource vs)

Method Detail

### getValueSource

    public ValueSource getValueSource()

### description

    public String description()

  Description copied from class: `ValueSource`
  description of field, used in explain()

  Specified by:
    `description` in class `ValueSource`

### getValues

    public DocValues getValues(Map context,
                               IndexReader reader)
                        throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Overrides:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `ValueSource`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ValueSource`

### toString

    public String toString()

  Overrides:
    `toString` in class `ValueSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD